
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>From energy bins: Calculate Hs, T, C, Ttime &#8212; CFOSAT-Forecast</title>
    
  <link href="../_static/css/theme.css" rel="stylesheet" />
  <link href="../_static/css/index.c5995385ac14fb8791e8eb36b4908be2.css" rel="stylesheet" />

    
  <link rel="stylesheet"
    href="../_static/vendor/fontawesome/5.13.0/css/all.min.css">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="../_static/vendor/fontawesome/5.13.0/webfonts/fa-solid-900.woff2">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="../_static/vendor/fontawesome/5.13.0/webfonts/fa-brands-400.woff2">

    
      

    
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="../_static/sphinx-book-theme.css?digest=c3fdc42140077d1ad13ad2f1588a4309" />
    <link rel="stylesheet" type="text/css" href="../_static/togglebutton.css" />
    <link rel="stylesheet" type="text/css" href="../_static/copybutton.css" />
    <link rel="stylesheet" type="text/css" href="../_static/mystnb.css" />
    <link rel="stylesheet" type="text/css" href="../_static/sphinx-thebe.css" />
    <link rel="stylesheet" type="text/css" href="../_static/panels-main.c949a650a448cc0ae9fd3441c0e17fb0.css" />
    <link rel="stylesheet" type="text/css" href="../_static/panels-variables.06eb56fa6e07937060861dad626602ad.css" />
    
  <link rel="preload" as="script" href="../_static/js/index.1c5a1a01449ed65a7b51.js">

    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    <script src="../_static/togglebutton.js"></script>
    <script src="../_static/clipboard.min.js"></script>
    <script src="../_static/copybutton.js"></script>
    <script>var togglebuttonSelector = '.toggle, .admonition.dropdown, .tag_hide_input div.cell_input, .tag_hide-input div.cell_input, .tag_hide_output div.cell_output, .tag_hide-output div.cell_output, .tag_hide_cell.cell, .tag_hide-cell.cell';</script>
    <script src="../_static/sphinx-book-theme.12a9622fbb08dcb3a2a40b2c02b83a57.js"></script>
    <script async="async" src="https://unpkg.com/thebe@0.5.1/lib/index.js"></script>
    <script>
        const thebe_selector = ".thebe"
        const thebe_selector_input = "pre"
        const thebe_selector_output = ".output"
    </script>
    <script async="async" src="../_static/sphinx-thebe.js"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="docsearch:language" content="en" />
    
  </head>
  <body data-spy="scroll" data-target="#bd-toc-nav" data-offset="80">
    
    <div class="container-fluid" id="banner"></div>

    

    <div class="container-xl">
      <div class="row">
          
<div class="col-12 col-md-3 bd-sidebar site-navigation show" id="site-navigation">
    
        <div class="navbar-brand-box">
    <a class="navbar-brand text-wrap" href="../index.html">
      
        <!-- `logo` is deprecated in Sphinx 4.0, so remove this when we stop supporting 3 -->
        
      
      
      <img src="../_static/uclops.png" class="logo" alt="logo">
      
      
      <h1 class="site-logo" id="site-title">CFOSAT-Forecast</h1>
      
    </a>
</div><form class="bd-search d-flex align-items-center" action="../search.html" method="get">
  <i class="icon fas fa-search"></i>
  <input type="search" class="form-control" name="q" id="search-input" placeholder="Buscar este libro ..." aria-label="Buscar este libro ..." autocomplete="off" >
</form><nav class="bd-links" id="bd-docs-nav" aria-label="Main">
    <div class="bd-toc-item active">
        <ul class="nav bd-sidenav">
 <li class="toctree-l1">
  <a class="reference internal" href="../intro.html">
   CFOSAT-based Swell Forecast System
  </a>
 </li>
</ul>
<ul class="nav bd-sidenav">
 <li class="toctree-l1">
  <a class="reference internal" href="../SF1_SpatialTemporal_Selection.html">
   Selection of CFOSAT passes over the ESTELA area
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../SF2_Passes_Viewer.html">
   Visualization of Satellite passes
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../SF3_ModelSat_animation.html">
   Animation Satellite Model
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../SF5_EnergyBins.html">
   Storage energy bins
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../SF5a_Plot_EnergyBins.html">
   Satellite-model correlation in energy quantity and arrival time
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../SF6_Validation_Partitions.html">
   Partitions correction: Comparison between MFWAM model and CFOSAT
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../SF7_Propagation_Bins.html">
   From energy bins: Calculate Hs, T, C, Ttime
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../SF8_Forecast_Bins_dissipation.html">
   Validation CFOSAT Forecast - WW3 spectral station
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../SF8_Forecast_Bins.html">
   Validation CFOSAT Forecast - WW3 spectral station
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../SF9a_SwellField_Reconstruction.html">
   Swell Field reconstruction
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../SF10_Forecast_Example.html">
   Wrap
  </a>
 </li>
</ul>

    </div>
</nav> <!-- To handle the deprecated key -->

<div class="navbar_extra_footer">
  Powered by <a href="https://jupyterbook.org">Jupyter Book</a>
</div>

</div>


          


          
<main class="col py-md-3 pl-md-4 bd-content overflow-auto" role="main">
    
    <div class="topbar container-xl fixed-top">
    <div class="topbar-contents row">
        <div class="col-12 col-md-3 bd-topbar-whitespace site-navigation show"></div>
        <div class="col pl-md-4 topbar-main">
            
            <button id="navbar-toggler" class="navbar-toggler ml-0" type="button" data-toggle="collapse"
                data-toggle="tooltip" data-placement="bottom" data-target=".site-navigation" aria-controls="navbar-menu"
                aria-expanded="true" aria-label="Navegación de palanca" aria-controls="site-navigation"
                title="Navegación de palanca" data-toggle="tooltip" data-placement="left">
                <i class="fas fa-bars"></i>
                <i class="fas fa-arrow-left"></i>
                <i class="fas fa-arrow-up"></i>
            </button>
            
            
<div class="dropdown-buttons-trigger">
    <button id="dropdown-buttons-trigger" class="btn btn-secondary topbarbtn" aria-label="Descarga esta pagina"><i
            class="fas fa-download"></i></button>

    <div class="dropdown-buttons">
        <!-- ipynb file if we had a myst markdown file -->
        
        <!-- Download raw file -->
        <a class="dropdown-buttons" href="../_sources/ipynb/SF7_Propagation_Bins.ipynb"><button type="button"
                class="btn btn-secondary topbarbtn" title="Descargar archivo fuente" data-toggle="tooltip"
                data-placement="left">.ipynb</button></a>
        <!-- Download PDF via print -->
        <button type="button" id="download-print" class="btn btn-secondary topbarbtn" title="Imprimir en PDF"
            onClick="window.print()" data-toggle="tooltip" data-placement="left">.pdf</button>
    </div>
</div>

            <!-- Source interaction buttons -->

<div class="dropdown-buttons-trigger">
    <button id="dropdown-buttons-trigger" class="btn btn-secondary topbarbtn"
        aria-label="Connect with source repository"><i class="fab fa-github"></i></button>
    <div class="dropdown-buttons sourcebuttons">
        <a class="repository-button"
            href="https://gitlab.com/AlbaRicondo/cfosat-forecast"><button type="button" class="btn btn-secondary topbarbtn"
                data-toggle="tooltip" data-placement="left" title="Repositorio de origen"><i
                    class="fab fa-github"></i>repositorio</button></a>
        <a class="issues-button"
            href="https://gitlab.com/AlbaRicondo/cfosat-forecast/issues/new?title=Issue%20on%20page%20%2Fipynb/SF7_Propagation_Bins.html&body=Your%20issue%20content%20here."><button
                type="button" class="btn btn-secondary topbarbtn" data-toggle="tooltip" data-placement="left"
                title="Abrir un problema"><i class="fas fa-lightbulb"></i>Tema abierto</button></a>
        
    </div>
</div>

            <!-- Full screen (wrap in <a> to have style consistency -->

<a class="full-screen-button"><button type="button" class="btn btn-secondary topbarbtn" data-toggle="tooltip"
        data-placement="bottom" onclick="toggleFullScreen()" aria-label="Modo de pantalla completa"
        title="Modo de pantalla completa"><i
            class="fas fa-expand"></i></button></a>

            <!-- Launch buttons -->

        </div>

        <!-- Table of contents -->
        <div class="d-none d-md-block col-md-2 bd-toc show">
            
        </div>
    </div>
</div>
    <div id="main-content" class="row">
        <div class="col-12 col-md-9 pl-md-3 pr-md-0">
        
              <div>
                
  <div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="kn">import</span> <span class="nn">sys</span>
<span class="kn">import</span> <span class="nn">os</span>
<span class="kn">import</span> <span class="nn">os.path</span> <span class="k">as</span> <span class="nn">op</span>

<span class="kn">import</span> <span class="nn">numpy</span> <span class="k">as</span> <span class="nn">np</span>
<span class="kn">import</span> <span class="nn">pandas</span> <span class="k">as</span> <span class="nn">pd</span>
<span class="kn">import</span> <span class="nn">datetime</span>
<span class="kn">import</span> <span class="nn">netCDF4</span> <span class="k">as</span> <span class="nn">netcdf</span>
<span class="kn">from</span> <span class="nn">datetime</span> <span class="kn">import</span> <span class="n">timedelta</span>
<span class="kn">from</span> <span class="nn">math</span> <span class="kn">import</span> <span class="n">pi</span>
<span class="kn">import</span> <span class="nn">xarray</span> <span class="k">as</span> <span class="nn">xr</span>
<span class="kn">import</span> <span class="nn">glob</span>

<span class="c1"># dev library</span>
<span class="kn">import</span> <span class="nn">sys</span>
<span class="n">sys</span><span class="o">.</span><span class="n">path</span><span class="o">.</span><span class="n">insert</span><span class="p">(</span><span class="mi">0</span><span class="p">,</span> <span class="n">op</span><span class="o">.</span><span class="n">join</span><span class="p">(</span><span class="n">os</span><span class="o">.</span><span class="n">path</span><span class="o">.</span><span class="n">abspath</span><span class="p">(</span><span class="s1">&#39;&#39;</span><span class="p">),</span> <span class="s1">&#39;..&#39;</span><span class="p">))</span>

<span class="c1"># dependencies</span>
<span class="kn">from</span> <span class="nn">lib</span> <span class="kn">import</span> <span class="n">wrapSpectra</span><span class="p">,</span> <span class="n">spectra</span><span class="p">,</span> <span class="n">sat</span><span class="p">,</span> <span class="n">plot_sat</span><span class="p">,</span> <span class="n">model</span>
<span class="kn">from</span> <span class="nn">lib.config</span> <span class="kn">import</span> <span class="o">*</span> 
</pre></div>
</div>
</div>
</div>
<div class="tex2jax_ignore mathjax_ignore section" id="from-energy-bins-calculate-hs-t-c-ttime">
<h1>From energy bins: Calculate Hs, T, C, Ttime<a class="headerlink" href="#from-energy-bins-calculate-hs-t-c-ttime" title="Permalink to this headline">¶</a></h1>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">ds</span> <span class="o">=</span> <span class="n">xr</span><span class="o">.</span><span class="n">open_dataset</span><span class="p">(</span><span class="n">op</span><span class="o">.</span><span class="n">join</span><span class="p">(</span><span class="n">p_output</span><span class="p">,</span> <span class="s1">&#39;energy_BINS.nc&#39;</span><span class="p">))</span>
<span class="n">ds_data</span> <span class="o">=</span> <span class="n">xr</span><span class="o">.</span><span class="n">open_dataset</span><span class="p">(</span><span class="n">op</span><span class="o">.</span><span class="n">join</span><span class="p">(</span><span class="n">p_output</span><span class="p">,</span> <span class="s1">&#39;ds_dataTracks.nc&#39;</span><span class="p">))</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">g</span> <span class="o">=</span> <span class="mf">9.806</span>
<span class="n">rad_ang</span> <span class="o">=</span> <span class="mi">15</span><span class="o">*</span><span class="p">(</span><span class="mi">2</span><span class="o">*</span><span class="n">pi</span><span class="p">)</span><span class="o">/</span><span class="mi">360</span>
<span class="n">dk</span> <span class="o">=</span> <span class="n">np</span><span class="o">.</span><span class="n">diff</span><span class="p">(</span><span class="n">np</span><span class="o">.</span><span class="n">append</span><span class="p">(</span><span class="mi">0</span><span class="p">,</span> <span class="n">ds</span><span class="o">.</span><span class="n">k</span><span class="p">))</span>

<span class="n">dataset</span> <span class="o">=</span> <span class="n">xr</span><span class="o">.</span><span class="n">Dataset</span><span class="p">()</span>
<span class="k">for</span> <span class="n">pfile</span><span class="p">,</span> <span class="n">file</span> <span class="ow">in</span> <span class="nb">enumerate</span><span class="p">(</span><span class="n">ds</span><span class="o">.</span><span class="n">file</span><span class="p">):</span>
    <span class="n">sys</span><span class="o">.</span><span class="n">stdout</span><span class="o">.</span><span class="n">write</span><span class="p">(</span><span class="s1">&#39;</span><span class="se">\r</span><span class="s1"> File number: </span><span class="si">{0}</span><span class="s1">\</span><span class="si">{1}</span><span class="s1">&#39;</span><span class="o">.</span><span class="n">format</span><span class="p">(</span><span class="n">pfile</span><span class="p">,</span><span class="nb">len</span><span class="p">(</span><span class="n">ds_data</span><span class="o">.</span><span class="n">file</span><span class="o">.</span><span class="n">values</span><span class="p">)))</span>
    <span class="n">sys</span><span class="o">.</span><span class="n">stdout</span><span class="o">.</span><span class="n">flush</span><span class="p">()</span>
    
    <span class="n">dsi</span> <span class="o">=</span> <span class="n">ds</span><span class="o">.</span><span class="n">isel</span><span class="p">(</span><span class="n">file</span><span class="o">=</span><span class="n">pfile</span><span class="p">)</span><span class="o">.</span><span class="n">load</span><span class="p">()</span>
    
    <span class="c1"># wavelength, period, celerity</span>
    <span class="n">wl</span> <span class="o">=</span> <span class="mi">2</span><span class="o">*</span><span class="n">np</span><span class="o">.</span><span class="n">pi</span><span class="o">/</span><span class="n">dsi</span><span class="o">.</span><span class="n">k</span>
    <span class="n">T</span> <span class="o">=</span> <span class="n">np</span><span class="o">.</span><span class="n">sqrt</span><span class="p">(</span><span class="mi">2</span><span class="o">*</span><span class="n">np</span><span class="o">.</span><span class="n">pi</span><span class="o">*</span><span class="n">wl</span><span class="o">/</span><span class="n">g</span><span class="p">)</span>
    <span class="n">C</span> <span class="o">=</span> <span class="n">g</span><span class="o">*</span><span class="n">T</span><span class="o">/</span><span class="p">(</span><span class="mi">2</span><span class="o">*</span><span class="n">np</span><span class="o">.</span><span class="n">pi</span><span class="p">)</span>
    <span class="n">Cg</span> <span class="o">=</span> <span class="mf">0.5</span> <span class="o">*</span> <span class="n">C</span>
    
    <span class="c1"># Disipation term - Air Sea Viscosity</span>
    <span class="n">dens_rate</span> <span class="o">=</span> <span class="mf">0.0013</span>
    <span class="n">va</span> <span class="o">=</span> <span class="mf">1.4</span> <span class="o">*</span> <span class="mi">10</span><span class="o">**</span><span class="p">(</span><span class="o">-</span><span class="mi">5</span><span class="p">)</span>
    <span class="n">nu</span> <span class="o">=</span> <span class="mi">2</span><span class="o">*</span><span class="n">dens_rate</span><span class="o">*</span><span class="p">(</span><span class="mi">1</span><span class="o">/</span><span class="p">(</span><span class="n">g</span><span class="o">*</span><span class="n">Cg</span><span class="p">))</span><span class="o">*</span><span class="p">((</span><span class="mi">2</span><span class="o">*</span><span class="n">np</span><span class="o">.</span><span class="n">pi</span><span class="o">/</span><span class="n">T</span><span class="p">)</span><span class="o">**</span><span class="p">(</span><span class="mi">5</span><span class="o">/</span><span class="mi">2</span><span class="p">))</span><span class="o">*</span><span class="n">np</span><span class="o">.</span><span class="n">sqrt</span><span class="p">(</span><span class="mi">2</span><span class="o">*</span><span class="n">va</span><span class="p">)</span>
            
    <span class="n">Ttime</span> <span class="o">=</span> <span class="p">(</span><span class="n">dsi</span><span class="o">.</span><span class="n">distance</span><span class="o">/</span><span class="n">Cg</span><span class="p">)</span>
    
    <span class="n">H</span> <span class="o">=</span> <span class="mi">4</span><span class="o">*</span><span class="n">np</span><span class="o">.</span><span class="n">sqrt</span><span class="p">(((</span><span class="n">dsi</span><span class="o">.</span><span class="n">slopeD</span><span class="o">/</span><span class="n">dsi</span><span class="o">.</span><span class="n">k</span><span class="p">)</span><span class="o">*</span><span class="n">rad_ang</span><span class="p">)</span><span class="o">*</span><span class="p">(</span><span class="n">dk</span><span class="p">))</span>
    <span class="n">dsi</span> <span class="o">=</span> <span class="n">dsi</span><span class="o">.</span><span class="n">assign</span><span class="p">(</span><span class="n">H_sinNu</span><span class="o">=</span><span class="n">H</span><span class="p">,</span> <span class="n">H</span><span class="o">=</span><span class="n">xr</span><span class="o">.</span><span class="n">where</span><span class="p">(</span><span class="n">H</span> <span class="o">-</span> <span class="n">nu</span><span class="o">*</span><span class="n">dsi</span><span class="o">.</span><span class="n">distance</span> <span class="o">&lt;</span> <span class="mi">0</span><span class="p">,</span> <span class="mi">0</span><span class="p">,</span> <span class="n">H</span> <span class="o">-</span> <span class="n">nu</span><span class="o">*</span><span class="n">dsi</span><span class="o">.</span><span class="n">distance</span><span class="p">),</span>
                     <span class="n">nu</span><span class="o">=</span><span class="n">nu</span><span class="p">,</span> <span class="n">distance</span><span class="o">=</span><span class="n">dsi</span><span class="o">.</span><span class="n">distance</span><span class="p">,</span> <span class="n">T</span><span class="o">=</span><span class="n">T</span><span class="p">,</span> <span class="n">Ttime</span><span class="o">=</span><span class="n">Ttime</span><span class="p">)</span>

    <span class="n">dsi</span> <span class="o">=</span> <span class="n">dsi</span><span class="o">.</span><span class="n">drop</span><span class="p">([</span><span class="s1">&#39;longitude&#39;</span><span class="p">,</span> <span class="s1">&#39;latitude&#39;</span><span class="p">,</span> <span class="s1">&#39;bearing1&#39;</span><span class="p">])</span><span class="o">.</span><span class="n">expand_dims</span><span class="p">(</span><span class="s1">&#39;file&#39;</span><span class="p">)</span>
    <span class="n">dataset</span> <span class="o">=</span> <span class="n">xr</span><span class="o">.</span><span class="n">merge</span><span class="p">([</span><span class="n">dataset</span><span class="p">,</span> <span class="n">dsi</span><span class="p">])</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output stream highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span> File number: 100\151
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">dataset</span><span class="o">.</span><span class="n">to_netcdf</span><span class="p">(</span><span class="n">op</span><span class="o">.</span><span class="n">join</span><span class="p">(</span><span class="n">p_output</span><span class="p">,</span> <span class="s1">&#39;params_BINS.nc&#39;</span><span class="p">))</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">dataset</span> <span class="o">=</span> <span class="n">xr</span><span class="o">.</span><span class="n">open_dataset</span><span class="p">(</span><span class="n">op</span><span class="o">.</span><span class="n">join</span><span class="p">(</span><span class="n">p_output</span><span class="p">,</span> <span class="s1">&#39;params_BINS.nc&#39;</span><span class="p">))</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">dataset</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output text_html"><div><svg style="position: absolute; width: 0; height: 0; overflow: hidden">
<defs>
<symbol id="icon-database" viewBox="0 0 32 32">
<path d="M16 0c-8.837 0-16 2.239-16 5v4c0 2.761 7.163 5 16 5s16-2.239 16-5v-4c0-2.761-7.163-5-16-5z"></path>
<path d="M16 17c-8.837 0-16-2.239-16-5v6c0 2.761 7.163 5 16 5s16-2.239 16-5v-6c0 2.761-7.163 5-16 5z"></path>
<path d="M16 26c-8.837 0-16-2.239-16-5v6c0 2.761 7.163 5 16 5s16-2.239 16-5v-6c0 2.761-7.163 5-16 5z"></path>
</symbol>
<symbol id="icon-file-text2" viewBox="0 0 32 32">
<path d="M28.681 7.159c-0.694-0.947-1.662-2.053-2.724-3.116s-2.169-2.030-3.116-2.724c-1.612-1.182-2.393-1.319-2.841-1.319h-15.5c-1.378 0-2.5 1.121-2.5 2.5v27c0 1.378 1.122 2.5 2.5 2.5h23c1.378 0 2.5-1.122 2.5-2.5v-19.5c0-0.448-0.137-1.23-1.319-2.841zM24.543 5.457c0.959 0.959 1.712 1.825 2.268 2.543h-4.811v-4.811c0.718 0.556 1.584 1.309 2.543 2.268zM28 29.5c0 0.271-0.229 0.5-0.5 0.5h-23c-0.271 0-0.5-0.229-0.5-0.5v-27c0-0.271 0.229-0.5 0.5-0.5 0 0 15.499-0 15.5 0v7c0 0.552 0.448 1 1 1h7v19.5z"></path>
<path d="M23 26h-14c-0.552 0-1-0.448-1-1s0.448-1 1-1h14c0.552 0 1 0.448 1 1s-0.448 1-1 1z"></path>
<path d="M23 22h-14c-0.552 0-1-0.448-1-1s0.448-1 1-1h14c0.552 0 1 0.448 1 1s-0.448 1-1 1z"></path>
<path d="M23 18h-14c-0.552 0-1-0.448-1-1s0.448-1 1-1h14c0.552 0 1 0.448 1 1s-0.448 1-1 1z"></path>
</symbol>
</defs>
</svg>
<style>/* CSS stylesheet for displaying xarray objects in jupyterlab.
 *
 */

:root {
  --xr-font-color0: var(--jp-content-font-color0, rgba(0, 0, 0, 1));
  --xr-font-color2: var(--jp-content-font-color2, rgba(0, 0, 0, 0.54));
  --xr-font-color3: var(--jp-content-font-color3, rgba(0, 0, 0, 0.38));
  --xr-border-color: var(--jp-border-color2, #e0e0e0);
  --xr-disabled-color: var(--jp-layout-color3, #bdbdbd);
  --xr-background-color: var(--jp-layout-color0, white);
  --xr-background-color-row-even: var(--jp-layout-color1, white);
  --xr-background-color-row-odd: var(--jp-layout-color2, #eeeeee);
}

html[theme=dark],
body.vscode-dark {
  --xr-font-color0: rgba(255, 255, 255, 1);
  --xr-font-color2: rgba(255, 255, 255, 0.54);
  --xr-font-color3: rgba(255, 255, 255, 0.38);
  --xr-border-color: #1F1F1F;
  --xr-disabled-color: #515151;
  --xr-background-color: #111111;
  --xr-background-color-row-even: #111111;
  --xr-background-color-row-odd: #313131;
}

.xr-wrap {
  display: block;
  min-width: 300px;
  max-width: 700px;
}

.xr-text-repr-fallback {
  /* fallback to plain text repr when CSS is not injected (untrusted notebook) */
  display: none;
}

.xr-header {
  padding-top: 6px;
  padding-bottom: 6px;
  margin-bottom: 4px;
  border-bottom: solid 1px var(--xr-border-color);
}

.xr-header > div,
.xr-header > ul {
  display: inline;
  margin-top: 0;
  margin-bottom: 0;
}

.xr-obj-type,
.xr-array-name {
  margin-left: 2px;
  margin-right: 10px;
}

.xr-obj-type {
  color: var(--xr-font-color2);
}

.xr-sections {
  padding-left: 0 !important;
  display: grid;
  grid-template-columns: 150px auto auto 1fr 20px 20px;
}

.xr-section-item {
  display: contents;
}

.xr-section-item input {
  display: none;
}

.xr-section-item input + label {
  color: var(--xr-disabled-color);
}

.xr-section-item input:enabled + label {
  cursor: pointer;
  color: var(--xr-font-color2);
}

.xr-section-item input:enabled + label:hover {
  color: var(--xr-font-color0);
}

.xr-section-summary {
  grid-column: 1;
  color: var(--xr-font-color2);
  font-weight: 500;
}

.xr-section-summary > span {
  display: inline-block;
  padding-left: 0.5em;
}

.xr-section-summary-in:disabled + label {
  color: var(--xr-font-color2);
}

.xr-section-summary-in + label:before {
  display: inline-block;
  content: '►';
  font-size: 11px;
  width: 15px;
  text-align: center;
}

.xr-section-summary-in:disabled + label:before {
  color: var(--xr-disabled-color);
}

.xr-section-summary-in:checked + label:before {
  content: '▼';
}

.xr-section-summary-in:checked + label > span {
  display: none;
}

.xr-section-summary,
.xr-section-inline-details {
  padding-top: 4px;
  padding-bottom: 4px;
}

.xr-section-inline-details {
  grid-column: 2 / -1;
}

.xr-section-details {
  display: none;
  grid-column: 1 / -1;
  margin-bottom: 5px;
}

.xr-section-summary-in:checked ~ .xr-section-details {
  display: contents;
}

.xr-array-wrap {
  grid-column: 1 / -1;
  display: grid;
  grid-template-columns: 20px auto;
}

.xr-array-wrap > label {
  grid-column: 1;
  vertical-align: top;
}

.xr-preview {
  color: var(--xr-font-color3);
}

.xr-array-preview,
.xr-array-data {
  padding: 0 5px !important;
  grid-column: 2;
}

.xr-array-data,
.xr-array-in:checked ~ .xr-array-preview {
  display: none;
}

.xr-array-in:checked ~ .xr-array-data,
.xr-array-preview {
  display: inline-block;
}

.xr-dim-list {
  display: inline-block !important;
  list-style: none;
  padding: 0 !important;
  margin: 0;
}

.xr-dim-list li {
  display: inline-block;
  padding: 0;
  margin: 0;
}

.xr-dim-list:before {
  content: '(';
}

.xr-dim-list:after {
  content: ')';
}

.xr-dim-list li:not(:last-child):after {
  content: ',';
  padding-right: 5px;
}

.xr-has-index {
  font-weight: bold;
}

.xr-var-list,
.xr-var-item {
  display: contents;
}

.xr-var-item > div,
.xr-var-item label,
.xr-var-item > .xr-var-name span {
  background-color: var(--xr-background-color-row-even);
  margin-bottom: 0;
}

.xr-var-item > .xr-var-name:hover span {
  padding-right: 5px;
}

.xr-var-list > li:nth-child(odd) > div,
.xr-var-list > li:nth-child(odd) > label,
.xr-var-list > li:nth-child(odd) > .xr-var-name span {
  background-color: var(--xr-background-color-row-odd);
}

.xr-var-name {
  grid-column: 1;
}

.xr-var-dims {
  grid-column: 2;
}

.xr-var-dtype {
  grid-column: 3;
  text-align: right;
  color: var(--xr-font-color2);
}

.xr-var-preview {
  grid-column: 4;
}

.xr-var-name,
.xr-var-dims,
.xr-var-dtype,
.xr-preview,
.xr-attrs dt {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  padding-right: 10px;
}

.xr-var-name:hover,
.xr-var-dims:hover,
.xr-var-dtype:hover,
.xr-attrs dt:hover {
  overflow: visible;
  width: auto;
  z-index: 1;
}

.xr-var-attrs,
.xr-var-data {
  display: none;
  background-color: var(--xr-background-color) !important;
  padding-bottom: 5px !important;
}

.xr-var-attrs-in:checked ~ .xr-var-attrs,
.xr-var-data-in:checked ~ .xr-var-data {
  display: block;
}

.xr-var-data > table {
  float: right;
}

.xr-var-name span,
.xr-var-data,
.xr-attrs {
  padding-left: 25px !important;
}

.xr-attrs,
.xr-var-attrs,
.xr-var-data {
  grid-column: 1 / -1;
}

dl.xr-attrs {
  padding: 0;
  margin: 0;
  display: grid;
  grid-template-columns: 125px auto;
}

.xr-attrs dt,
.xr-attrs dd {
  padding: 0;
  margin: 0;
  float: left;
  padding-right: 10px;
  width: auto;
}

.xr-attrs dt {
  font-weight: normal;
  grid-column: 1;
}

.xr-attrs dt:hover span {
  display: inline-block;
  background: var(--xr-background-color);
  padding-right: 10px;
}

.xr-attrs dd {
  grid-column: 2;
  white-space: pre-wrap;
  word-break: break-all;
}

.xr-icon-database,
.xr-icon-file-text2 {
  display: inline-block;
  vertical-align: middle;
  width: 1em;
  height: 1.5em !important;
  stroke-width: 0;
  stroke: currentColor;
  fill: currentColor;
}
</style><pre class='xr-text-repr-fallback'>&lt;xarray.Dataset&gt;
Dimensions:        (file: 101, k: 32, nbox: 492, partition: 3, posneg: 2, theta: 72)
Coordinates:
  * file           (file) object &#x27;CFO_OP05_SWI_L2_____F_20210213T004756_20210...
  * nbox           (nbox) int64 14 15 16 17 18 19 20 ... 500 501 502 503 504 505
  * theta          (theta) int64 0 5 10 15 20 25 30 ... 330 335 340 345 350 355
  * partition      (partition) int64 1 2 3
  * posneg         (posneg) int64 0 1
  * k              (k) float32 0.01257 0.01389 0.01535 ... 0.2284 0.2524 0.2789
Data variables:
    time           (file, nbox, posneg, theta) datetime64[ns] ...
    distance       (file, nbox, posneg) float64 nan nan nan nan ... nan nan nan
    pos_corr       (file, nbox, posneg, partition) float64 ...
    mf_hs          (file, posneg, nbox) float64 nan nan nan nan ... nan nan nan
    mf_tp          (file, posneg, nbox) float64 nan nan nan nan ... nan nan nan
    mf_hs0         (file, posneg, nbox) float64 nan nan nan nan ... nan nan nan
    mf_md0         (file, posneg, nbox) float64 nan nan nan nan ... nan nan nan
    mf_mp0         (file, posneg, nbox) float64 nan nan nan nan ... nan nan nan
    mf_hs1         (file, posneg, nbox) float64 nan nan nan nan ... nan nan nan
    mf_md1         (file, posneg, nbox) float64 nan nan nan nan ... nan nan nan
    mf_mp1         (file, posneg, nbox) float64 nan nan nan nan ... nan nan nan
    mf_hs2         (file, posneg, nbox) float64 nan nan nan nan ... nan nan nan
    mf_md2         (file, posneg, nbox) float64 nan nan nan nan ... nan nan nan
    mf_mp2         (file, posneg, nbox) float64 nan nan nan nan ... nan nan nan
    slopeD         (file, nbox, posneg, theta, k) float64 ...
    SWH(m)         (file, posneg, nbox, partition) float64 ...
    wavelength(m)  (file, posneg, nbox, partition) float64 ...
    direction (°)  (file, posneg, nbox, partition) float32 ...
    H_sinNu        (file, nbox, posneg, theta, k) float64 ...
    H              (file, nbox, posneg, theta, k) float64 ...
    nu             (file, k) float32 7.333e-09 8.735e-09 ... 1.398e-06 1.665e-06
    T              (file, k) float32 17.9 17.03 16.2 15.41 ... 4.199 3.994 3.799
    Ttime          (file, nbox, posneg, k) float64 ...</pre><div class='xr-wrap' hidden><div class='xr-header'><div class='xr-obj-type'>xarray.Dataset</div></div><ul class='xr-sections'><li class='xr-section-item'><input id='section-8bb8d2a1-9e56-42ba-9588-456b16894d3a' class='xr-section-summary-in' type='checkbox' disabled ><label for='section-8bb8d2a1-9e56-42ba-9588-456b16894d3a' class='xr-section-summary'  title='Expand/collapse section'>Dimensions:</label><div class='xr-section-inline-details'><ul class='xr-dim-list'><li><span class='xr-has-index'>file</span>: 101</li><li><span class='xr-has-index'>k</span>: 32</li><li><span class='xr-has-index'>nbox</span>: 492</li><li><span class='xr-has-index'>partition</span>: 3</li><li><span class='xr-has-index'>posneg</span>: 2</li><li><span class='xr-has-index'>theta</span>: 72</li></ul></div><div class='xr-section-details'></div></li><li class='xr-section-item'><input id='section-a270de62-9cca-434b-821a-c79f730e1511' class='xr-section-summary-in' type='checkbox'  checked><label for='section-a270de62-9cca-434b-821a-c79f730e1511' class='xr-section-summary' >Coordinates: <span>(6)</span></label><div class='xr-section-inline-details'></div><div class='xr-section-details'><ul class='xr-var-list'><li class='xr-var-item'><div class='xr-var-name'><span class='xr-has-index'>file</span></div><div class='xr-var-dims'>(file)</div><div class='xr-var-dtype'>object</div><div class='xr-var-preview xr-preview'>&#x27;CFO_OP05_SWI_L2_____F_20210213T...</div><input id='attrs-3dce9fa8-7580-4e0e-8a13-4679b4bfe525' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-3dce9fa8-7580-4e0e-8a13-4679b4bfe525' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-06c81f71-d259-49eb-8727-11ad3c33c226' class='xr-var-data-in' type='checkbox'><label for='data-06c81f71-d259-49eb-8727-11ad3c33c226' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([&#x27;CFO_OP05_SWI_L2_____F_20210213T004756_20210213T022132.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210213T022131_20210213T035552.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210213T035551_20210213T054236.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210213T055700_20210213T071704.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210213T071703_20210213T085045.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210213T085044_20210213T102349.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210213T102348_20210213T115634.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210213T115633_20210213T131520.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210213T132920_20210213T150229.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210213T151647_20210213T163618.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210213T163617_20210213T181055.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210213T181054_20210213T195457.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210213T195456_20210213T212751.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210213T212750_20210213T230036.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210213T230035_20210214T003334.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210214T003333_20210214T020703.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210214T020702_20210214T034116.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210214T034115_20210214T052758.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210214T054221_20210214T070233.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210214T070232_20210214T083621.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210214T083620_20210214T100930.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210214T100929_20210214T114216.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210214T114215_20210214T131500.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210214T131459_20210214T144805.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210214T150207_20210214T162147.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210214T175615_20210214T194035.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210214T194034_20210214T211333.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210214T211331_20210214T224617.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210214T224616_20210215T001912.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210215T001911_20210215T015235.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210215T015234_20210215T032641.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210215T032640_20210215T051317.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210215T052741_20210215T064801.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210215T064800_20210215T082156.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210215T082155_20210215T095510.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210215T095509_20210215T112758.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210215T112757_20210215T130041.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210215T130041_20210215T143341.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210215T144727_20210215T160717.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210215T160716_20210215T171820.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210215T174137_20210215T191653.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210215T191652_20210215T205914.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210215T205913_20210215T223159.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210215T223158_20210216T000450.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210216T000449_20210216T013808.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210216T013807_20210216T031207.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210216T032351_20210216T045835.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210216T051904_20210216T063328.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210216T063327_20210216T080730.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210216T080729_20210216T094049.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210216T111339_20210216T124622.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210216T124621_20210216T142819.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210216T142818_20210216T155248.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210216T155247_20210216T170719.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210216T172700_20210216T190207.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210216T190206_20210216T204454.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210216T204454_20210216T221741.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210216T221740_20210216T235029.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210216T235028_20210217T012342.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210217T012341_20210217T025734.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210217T030911_20210217T044352.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210217T061852_20210217T075302.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210217T075301_20210217T092627.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210217T092626_20210217T105922.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210217T105921_20210217T123203.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210217T123202_20210217T135036.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210217T141808_20210217T153819.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210217T153818_20210217T171226.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210217T171225_20210217T184723.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210217T184722_20210217T203034.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210217T203033_20210217T220322.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210217T220321_20210217T233609.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210221T002606_20210221T015933.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210221T015932_20210221T033342.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210221T033341_20210221T052021.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210221T053445_20210221T065501.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210221T065500_20210221T082852.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210221T082851_20210221T100204.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210221T100203_20210221T113451.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210221T113450_20210221T130734.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210221T145431_20210221T161415.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210221T161414_20210221T172403.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210221T174839_20210221T193308.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210221T193307_20210221T210607.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210221T210606_20210221T223852.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210221T223851_20210222T001145.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210222T001144_20210222T014505.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210222T014504_20210222T031907.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210222T033056_20210222T045358.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210222T052607_20210222T064028.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210222T064027_20210222T081426.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210222T081425_20210222T094743.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210222T094742_20210222T112032.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210222T112031_20210222T125314.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210222T125313_20210222T143526.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210222T143525_20210222T155945.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210222T155944_20210222T171200.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210222T173402_20210222T191844.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210222T191843_20210222T205147.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210222T205146_20210222T222433.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210222T235722_20210223T004655.nc&#x27;],
      dtype=object)</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span class='xr-has-index'>nbox</span></div><div class='xr-var-dims'>(nbox)</div><div class='xr-var-dtype'>int64</div><div class='xr-var-preview xr-preview'>14 15 16 17 18 ... 502 503 504 505</div><input id='attrs-e1ece99e-0755-4acd-8ea7-a6e1bdc2fc46' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-e1ece99e-0755-4acd-8ea7-a6e1bdc2fc46' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-1f9c5b49-d6cb-47ef-8a68-57eeae91d7d2' class='xr-var-data-in' type='checkbox'><label for='data-1f9c5b49-d6cb-47ef-8a68-57eeae91d7d2' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([ 14,  15,  16, ..., 503, 504, 505])</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span class='xr-has-index'>theta</span></div><div class='xr-var-dims'>(theta)</div><div class='xr-var-dtype'>int64</div><div class='xr-var-preview xr-preview'>0 5 10 15 20 ... 340 345 350 355</div><input id='attrs-bedbae54-78d2-4c26-8a3d-f63b328363d9' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-bedbae54-78d2-4c26-8a3d-f63b328363d9' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-6b4bc12f-eefa-41e9-a68b-2dd8fda5b069' class='xr-var-data-in' type='checkbox'><label for='data-6b4bc12f-eefa-41e9-a68b-2dd8fda5b069' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([  0,   5,  10,  15,  20,  25,  30,  35,  40,  45,  50,  55,  60,  65,
        70,  75,  80,  85,  90,  95, 100, 105, 110, 115, 120, 125, 130, 135,
       140, 145, 150, 155, 160, 165, 170, 175, 180, 185, 190, 195, 200, 205,
       210, 215, 220, 225, 230, 235, 240, 245, 250, 255, 260, 265, 270, 275,
       280, 285, 290, 295, 300, 305, 310, 315, 320, 325, 330, 335, 340, 345,
       350, 355])</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span class='xr-has-index'>partition</span></div><div class='xr-var-dims'>(partition)</div><div class='xr-var-dtype'>int64</div><div class='xr-var-preview xr-preview'>1 2 3</div><input id='attrs-97b2c212-5952-4172-97b3-d6923217442c' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-97b2c212-5952-4172-97b3-d6923217442c' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-ab79e38b-9a00-45d8-9c7f-ebf43a6846d7' class='xr-var-data-in' type='checkbox'><label for='data-ab79e38b-9a00-45d8-9c7f-ebf43a6846d7' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([1, 2, 3])</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span class='xr-has-index'>posneg</span></div><div class='xr-var-dims'>(posneg)</div><div class='xr-var-dtype'>int64</div><div class='xr-var-preview xr-preview'>0 1</div><input id='attrs-fcf414ff-b911-4fea-9e0c-9f10752eb1e3' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-fcf414ff-b911-4fea-9e0c-9f10752eb1e3' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-64906596-8d9b-4cca-9574-65d9074e8cc0' class='xr-var-data-in' type='checkbox'><label for='data-64906596-8d9b-4cca-9574-65d9074e8cc0' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([0, 1])</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span class='xr-has-index'>k</span></div><div class='xr-var-dims'>(k)</div><div class='xr-var-dtype'>float32</div><div class='xr-var-preview xr-preview'>0.01257 0.01389 ... 0.2524 0.2789</div><input id='attrs-e4f9693a-81bb-4d34-b2c8-182c6446a27c' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-e4f9693a-81bb-4d34-b2c8-182c6446a27c' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-6154b5d4-8522-486f-8599-491ac5d17d4e' class='xr-var-data-in' type='checkbox'><label for='data-6154b5d4-8522-486f-8599-491ac5d17d4e' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([0.012566, 0.013887, 0.015348, 0.016962, 0.018746, 0.020718, 0.022897,
       0.025305, 0.027966, 0.030908, 0.034158, 0.037751, 0.041721, 0.046109,
       0.050959, 0.056318, 0.062241, 0.068787, 0.076022, 0.084017, 0.092853,
       0.102619, 0.113411, 0.125339, 0.138521, 0.153089, 0.16919 , 0.186984,
       0.206649, 0.228383, 0.252402, 0.278947], dtype=float32)</pre></div></li></ul></div></li><li class='xr-section-item'><input id='section-45f007aa-e23a-4b9d-8529-655c84f6bd5a' class='xr-section-summary-in' type='checkbox'  ><label for='section-45f007aa-e23a-4b9d-8529-655c84f6bd5a' class='xr-section-summary' >Data variables: <span>(23)</span></label><div class='xr-section-inline-details'></div><div class='xr-section-details'><ul class='xr-var-list'><li class='xr-var-item'><div class='xr-var-name'><span>time</span></div><div class='xr-var-dims'>(file, nbox, posneg, theta)</div><div class='xr-var-dtype'>datetime64[ns]</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-956002a2-660a-4505-bc51-3fb3319acd5c' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-956002a2-660a-4505-bc51-3fb3319acd5c' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-e6838531-285f-4c2e-a3ec-58d533c3764d' class='xr-var-data-in' type='checkbox'><label for='data-e6838531-285f-4c2e-a3ec-58d533c3764d' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>[7155648 values with dtype=datetime64[ns]]</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span>distance</span></div><div class='xr-var-dims'>(file, nbox, posneg)</div><div class='xr-var-dtype'>float64</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-b89cccac-82e1-4f90-8649-1f6eb89e7fa6' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-b89cccac-82e1-4f90-8649-1f6eb89e7fa6' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-cce800a6-7b01-4d89-bb38-0c216387fc07' class='xr-var-data-in' type='checkbox'><label for='data-cce800a6-7b01-4d89-bb38-0c216387fc07' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([[[           nan,            nan],
        [           nan,            nan],
        ...,
        [           nan,            nan],
        [           nan,            nan]],

       [[           nan,            nan],
        [           nan,            nan],
        ...,
        [8489460.318542, 8428611.723567],
        [8542403.602092, 8482534.36998 ]],

       ...,

       [[           nan,            nan],
        [           nan,            nan],
        ...,
        [           nan,            nan],
        [           nan,            nan]],

       [[           nan,            nan],
        [           nan,            nan],
        ...,
        [           nan,            nan],
        [           nan,            nan]]])</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span>pos_corr</span></div><div class='xr-var-dims'>(file, nbox, posneg, partition)</div><div class='xr-var-dtype'>float64</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-7bffcf61-63ee-43de-8b69-be981a68f2db' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-7bffcf61-63ee-43de-8b69-be981a68f2db' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-c3811ed4-7325-4a4c-a2da-a8a91d9ad6d5' class='xr-var-data-in' type='checkbox'><label for='data-c3811ed4-7325-4a4c-a2da-a8a91d9ad6d5' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>[298152 values with dtype=float64]</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span>mf_hs</span></div><div class='xr-var-dims'>(file, posneg, nbox)</div><div class='xr-var-dtype'>float64</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-c80e6b78-2edf-417e-85e0-c4a24c3016d3' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-c80e6b78-2edf-417e-85e0-c4a24c3016d3' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-71510fc1-dda6-4745-97c5-663fa53820b4' class='xr-var-data-in' type='checkbox'><label for='data-71510fc1-dda6-4745-97c5-663fa53820b4' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([[[ nan,  nan, ...,  nan,  nan],
        [ nan,  nan, ...,  nan,  nan]],

       [[ nan,  nan, ..., 3.8 , 3.28],
        [ nan,  nan, ..., 3.95, 3.62]],

       ...,

       [[ nan,  nan, ...,  nan,  nan],
        [ nan,  nan, ...,  nan,  nan]],

       [[ nan,  nan, ...,  nan,  nan],
        [ nan,  nan, ...,  nan,  nan]]])</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span>mf_tp</span></div><div class='xr-var-dims'>(file, posneg, nbox)</div><div class='xr-var-dtype'>float64</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-98cdda7e-249b-44fb-a951-1dc3556dcd93' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-98cdda7e-249b-44fb-a951-1dc3556dcd93' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-269077e3-9327-4b1c-9428-51dfd0f5a809' class='xr-var-data-in' type='checkbox'><label for='data-269077e3-9327-4b1c-9428-51dfd0f5a809' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([[[  nan,   nan, ...,   nan,   nan],
        [  nan,   nan, ...,   nan,   nan]],

       [[  nan,   nan, ..., 10.87, 11.24],
        [  nan,   nan, ..., 10.87, 10.66]],

       ...,

       [[  nan,   nan, ...,   nan,   nan],
        [  nan,   nan, ...,   nan,   nan]],

       [[  nan,   nan, ...,   nan,   nan],
        [  nan,   nan, ...,   nan,   nan]]])</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span>mf_hs0</span></div><div class='xr-var-dims'>(file, posneg, nbox)</div><div class='xr-var-dtype'>float64</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-2019fc97-b35d-4562-8ea6-5cd410a8ae4a' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-2019fc97-b35d-4562-8ea6-5cd410a8ae4a' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-d671a4c5-9b5a-49a3-b5fa-2b3d93a848e9' class='xr-var-data-in' type='checkbox'><label for='data-d671a4c5-9b5a-49a3-b5fa-2b3d93a848e9' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([[[ nan,  nan, ...,  nan,  nan],
        [ nan,  nan, ...,  nan,  nan]],

       [[ nan,  nan, ..., 0.44, 0.  ],
        [ nan,  nan, ..., 0.67, 0.11]],

       ...,

       [[ nan,  nan, ...,  nan,  nan],
        [ nan,  nan, ...,  nan,  nan]],

       [[ nan,  nan, ...,  nan,  nan],
        [ nan,  nan, ...,  nan,  nan]]])</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span>mf_md0</span></div><div class='xr-var-dims'>(file, posneg, nbox)</div><div class='xr-var-dtype'>float64</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-fde15d14-e20d-45ad-8b18-550dd7a7126a' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-fde15d14-e20d-45ad-8b18-550dd7a7126a' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-1fb30655-b0df-44b0-b34a-98ff22f29f65' class='xr-var-data-in' type='checkbox'><label for='data-1fb30655-b0df-44b0-b34a-98ff22f29f65' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([[[  nan,   nan, ...,   nan,   nan],
        [  nan,   nan, ...,   nan,   nan]],

       [[  nan,   nan, ..., 76.02, 26.28],
        [  nan,   nan, ..., 85.73, 76.41]],

       ...,

       [[  nan,   nan, ...,   nan,   nan],
        [  nan,   nan, ...,   nan,   nan]],

       [[  nan,   nan, ...,   nan,   nan],
        [  nan,   nan, ...,   nan,   nan]]])</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span>mf_mp0</span></div><div class='xr-var-dims'>(file, posneg, nbox)</div><div class='xr-var-dtype'>float64</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-df47a9ea-4810-4ea7-b7ec-ee9ac43516c4' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-df47a9ea-4810-4ea7-b7ec-ee9ac43516c4' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-b98d3f6d-c380-4612-b977-7d295bb65656' class='xr-var-data-in' type='checkbox'><label for='data-b98d3f6d-c380-4612-b977-7d295bb65656' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([[[ nan,  nan, ...,  nan,  nan],
        [ nan,  nan, ...,  nan,  nan]],

       [[ nan,  nan, ..., 2.92, 1.  ],
        [ nan,  nan, ..., 3.52, 1.78]],

       ...,

       [[ nan,  nan, ...,  nan,  nan],
        [ nan,  nan, ...,  nan,  nan]],

       [[ nan,  nan, ...,  nan,  nan],
        [ nan,  nan, ...,  nan,  nan]]])</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span>mf_hs1</span></div><div class='xr-var-dims'>(file, posneg, nbox)</div><div class='xr-var-dtype'>float64</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-10499bab-90dd-4904-a7c0-2f85ecff4d62' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-10499bab-90dd-4904-a7c0-2f85ecff4d62' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-e772c5f4-0c2f-46b8-b88d-c86e2483b2ae' class='xr-var-data-in' type='checkbox'><label for='data-e772c5f4-0c2f-46b8-b88d-c86e2483b2ae' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([[[ nan,  nan, ...,  nan,  nan],
        [ nan,  nan, ...,  nan,  nan]],

       [[ nan,  nan, ..., 3.46, 2.94],
        [ nan,  nan, ..., 3.53, 3.29]],

       ...,

       [[ nan,  nan, ...,  nan,  nan],
        [ nan,  nan, ...,  nan,  nan]],

       [[ nan,  nan, ...,  nan,  nan],
        [ nan,  nan, ...,  nan,  nan]]])</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span>mf_md1</span></div><div class='xr-var-dims'>(file, posneg, nbox)</div><div class='xr-var-dtype'>float64</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-72a9ea77-02a1-481a-85b7-fb8ce5b2836c' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-72a9ea77-02a1-481a-85b7-fb8ce5b2836c' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-4527cd09-887c-4acd-b8f0-a6cf654d183c' class='xr-var-data-in' type='checkbox'><label for='data-4527cd09-887c-4acd-b8f0-a6cf654d183c' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([[[   nan,    nan, ...,    nan,    nan],
        [   nan,    nan, ...,    nan,    nan]],

       [[   nan,    nan, ..., 139.43, 149.09],
        [   nan,    nan, ..., 138.08, 146.9 ]],

       ...,

       [[   nan,    nan, ...,    nan,    nan],
        [   nan,    nan, ...,    nan,    nan]],

       [[   nan,    nan, ...,    nan,    nan],
        [   nan,    nan, ...,    nan,    nan]]])</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span>mf_mp1</span></div><div class='xr-var-dims'>(file, posneg, nbox)</div><div class='xr-var-dtype'>float64</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-d51659a1-4724-48fd-8c55-8fe00336a45f' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-d51659a1-4724-48fd-8c55-8fe00336a45f' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-3c6f54fc-2a66-4d15-ada1-41d7ec67ff02' class='xr-var-data-in' type='checkbox'><label for='data-3c6f54fc-2a66-4d15-ada1-41d7ec67ff02' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([[[  nan,   nan, ...,   nan,   nan],
        [  nan,   nan, ...,   nan,   nan]],

       [[  nan,   nan, ...,  9.91,  9.9 ],
        [  nan,   nan, ..., 10.06,  9.6 ]],

       ...,

       [[  nan,   nan, ...,   nan,   nan],
        [  nan,   nan, ...,   nan,   nan]],

       [[  nan,   nan, ...,   nan,   nan],
        [  nan,   nan, ...,   nan,   nan]]])</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span>mf_hs2</span></div><div class='xr-var-dims'>(file, posneg, nbox)</div><div class='xr-var-dtype'>float64</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-d2d8a233-1cc0-49ff-8f7e-414d24aee62b' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-d2d8a233-1cc0-49ff-8f7e-414d24aee62b' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-dcb6533c-2bea-465e-8c52-730365ced854' class='xr-var-data-in' type='checkbox'><label for='data-dcb6533c-2bea-465e-8c52-730365ced854' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([[[ nan,  nan, ...,  nan,  nan],
        [ nan,  nan, ...,  nan,  nan]],

       [[ nan,  nan, ..., 1.51, 1.45],
        [ nan,  nan, ..., 1.62, 1.45]],

       ...,

       [[ nan,  nan, ...,  nan,  nan],
        [ nan,  nan, ...,  nan,  nan]],

       [[ nan,  nan, ...,  nan,  nan],
        [ nan,  nan, ...,  nan,  nan]]])</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span>mf_md2</span></div><div class='xr-var-dims'>(file, posneg, nbox)</div><div class='xr-var-dtype'>float64</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-7eb52588-d21c-4e3e-a458-3f6801dfff99' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-7eb52588-d21c-4e3e-a458-3f6801dfff99' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-f963e5d0-2540-47ed-8b7a-993c804e3443' class='xr-var-data-in' type='checkbox'><label for='data-f963e5d0-2540-47ed-8b7a-993c804e3443' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([[[   nan,    nan, ...,    nan,    nan],
        [   nan,    nan, ...,    nan,    nan]],

       [[   nan,    nan, ..., 240.66, 240.4 ],
        [   nan,    nan, ..., 238.23, 240.09]],

       ...,

       [[   nan,    nan, ...,    nan,    nan],
        [   nan,    nan, ...,    nan,    nan]],

       [[   nan,    nan, ...,    nan,    nan],
        [   nan,    nan, ...,    nan,    nan]]])</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span>mf_mp2</span></div><div class='xr-var-dims'>(file, posneg, nbox)</div><div class='xr-var-dtype'>float64</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-3d59f547-b052-4010-92fc-e8d6fa5bc2f4' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-3d59f547-b052-4010-92fc-e8d6fa5bc2f4' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-fb0c7b05-9e1d-4509-82de-f1ae27ed0b76' class='xr-var-data-in' type='checkbox'><label for='data-fb0c7b05-9e1d-4509-82de-f1ae27ed0b76' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([[[  nan,   nan, ...,   nan,   nan],
        [  nan,   nan, ...,   nan,   nan]],

       [[  nan,   nan, ..., 16.69, 16.69],
        [  nan,   nan, ..., 16.19, 16.3 ]],

       ...,

       [[  nan,   nan, ...,   nan,   nan],
        [  nan,   nan, ...,   nan,   nan]],

       [[  nan,   nan, ...,   nan,   nan],
        [  nan,   nan, ...,   nan,   nan]]])</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span>slopeD</span></div><div class='xr-var-dims'>(file, nbox, posneg, theta, k)</div><div class='xr-var-dtype'>float64</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-54bf328a-0c0b-4d72-aaa3-46ee65380750' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-54bf328a-0c0b-4d72-aaa3-46ee65380750' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-3e74e853-7c19-4ced-9d29-566dc0eaad72' class='xr-var-data-in' type='checkbox'><label for='data-3e74e853-7c19-4ced-9d29-566dc0eaad72' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>[228980736 values with dtype=float64]</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span>SWH(m)</span></div><div class='xr-var-dims'>(file, posneg, nbox, partition)</div><div class='xr-var-dtype'>float64</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-d04f0e7a-31b6-47ef-b661-0c42fde41082' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-d04f0e7a-31b6-47ef-b661-0c42fde41082' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-481b0df0-9310-4dcb-b76f-6d5042c935b8' class='xr-var-data-in' type='checkbox'><label for='data-481b0df0-9310-4dcb-b76f-6d5042c935b8' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>[298152 values with dtype=float64]</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span>wavelength(m)</span></div><div class='xr-var-dims'>(file, posneg, nbox, partition)</div><div class='xr-var-dtype'>float64</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-da6513b8-e3eb-4c70-b454-3df5b7921023' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-da6513b8-e3eb-4c70-b454-3df5b7921023' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-049253a3-24a5-4b95-8db0-d331097483b7' class='xr-var-data-in' type='checkbox'><label for='data-049253a3-24a5-4b95-8db0-d331097483b7' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>[298152 values with dtype=float64]</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span>direction (°)</span></div><div class='xr-var-dims'>(file, posneg, nbox, partition)</div><div class='xr-var-dtype'>float32</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-1a4a0535-259b-44e2-9b9e-6bef278cf8df' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-1a4a0535-259b-44e2-9b9e-6bef278cf8df' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-38550ad3-03d5-46af-9080-83b35fb80b57' class='xr-var-data-in' type='checkbox'><label for='data-38550ad3-03d5-46af-9080-83b35fb80b57' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>[298152 values with dtype=float32]</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span>H_sinNu</span></div><div class='xr-var-dims'>(file, nbox, posneg, theta, k)</div><div class='xr-var-dtype'>float64</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-309dc0c5-424f-403d-a761-0fa732b5d66a' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-309dc0c5-424f-403d-a761-0fa732b5d66a' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-5f489996-a8b8-4781-8275-9ab49ee505c4' class='xr-var-data-in' type='checkbox'><label for='data-5f489996-a8b8-4781-8275-9ab49ee505c4' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>[228980736 values with dtype=float64]</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span>H</span></div><div class='xr-var-dims'>(file, nbox, posneg, theta, k)</div><div class='xr-var-dtype'>float64</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-32f0313a-c3b4-4ce6-b59b-b95027037db0' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-32f0313a-c3b4-4ce6-b59b-b95027037db0' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-edf22dce-fed0-4e6d-b7e2-4b17164e1e8d' class='xr-var-data-in' type='checkbox'><label for='data-edf22dce-fed0-4e6d-b7e2-4b17164e1e8d' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>[228980736 values with dtype=float64]</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span>nu</span></div><div class='xr-var-dims'>(file, k)</div><div class='xr-var-dtype'>float32</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-41cbdbfc-d5e7-454f-b694-8d539f8c9e00' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-41cbdbfc-d5e7-454f-b694-8d539f8c9e00' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-660d2345-9a56-4e67-90ee-dec4933d282a' class='xr-var-data-in' type='checkbox'><label for='data-660d2345-9a56-4e67-90ee-dec4933d282a' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([[7.333381e-09, 8.735223e-09, 1.040639e-08, ..., 1.173197e-06,
        1.397564e-06, 1.664839e-06],
       [7.333381e-09, 8.735223e-09, 1.040639e-08, ..., 1.173197e-06,
        1.397564e-06, 1.664839e-06],
       [7.333381e-09, 8.735223e-09, 1.040639e-08, ..., 1.173197e-06,
        1.397564e-06, 1.664839e-06],
       ...,
       [7.333381e-09, 8.735223e-09, 1.040639e-08, ..., 1.173197e-06,
        1.397564e-06, 1.664839e-06],
       [7.333381e-09, 8.735223e-09, 1.040639e-08, ..., 1.173197e-06,
        1.397564e-06, 1.664839e-06],
       [7.333381e-09, 8.735223e-09, 1.040639e-08, ..., 1.173197e-06,
        1.397564e-06, 1.664839e-06]], dtype=float32)</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span>T</span></div><div class='xr-var-dims'>(file, k)</div><div class='xr-var-dtype'>float32</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-58f5f6d9-4fd6-4330-acb5-b0cbb1741400' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-58f5f6d9-4fd6-4330-acb5-b0cbb1741400' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-b8a294a5-9fba-4695-8686-9f24f91c2f6e' class='xr-var-data-in' type='checkbox'><label for='data-b8a294a5-9fba-4695-8686-9f24f91c2f6e' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([[17.899273, 17.02667 , 16.19601 , ...,  4.198576,  3.993811,  3.799033],
       [17.899273, 17.02667 , 16.19601 , ...,  4.198576,  3.993811,  3.799033],
       [17.899273, 17.02667 , 16.19601 , ...,  4.198576,  3.993811,  3.799033],
       ...,
       [17.899273, 17.02667 , 16.19601 , ...,  4.198576,  3.993811,  3.799033],
       [17.899273, 17.02667 , 16.19601 , ...,  4.198576,  3.993811,  3.799033],
       [17.899273, 17.02667 , 16.19601 , ...,  4.198576,  3.993811,  3.799033]],
      dtype=float32)</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span>Ttime</span></div><div class='xr-var-dims'>(file, nbox, posneg, k)</div><div class='xr-var-dtype'>float64</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-ea9b61f8-27a0-4bcd-8a9e-b9284f0838ee' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-ea9b61f8-27a0-4bcd-8a9e-b9284f0838ee' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-d760c144-af12-47e2-bd60-2dfb69487398' class='xr-var-data-in' type='checkbox'><label for='data-d760c144-af12-47e2-bd60-2dfb69487398' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>[3180288 values with dtype=float64]</pre></div></li></ul></div></li><li class='xr-section-item'><input id='section-9bb36752-765c-4432-9216-b4aca2d8e391' class='xr-section-summary-in' type='checkbox' disabled ><label for='section-9bb36752-765c-4432-9216-b4aca2d8e391' class='xr-section-summary'  title='Expand/collapse section'>Attributes: <span>(0)</span></label><div class='xr-section-inline-details'></div><div class='xr-section-details'><dl class='xr-attrs'></dl></div></li></ul></div></div></div></div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">sys</span><span class="o">.</span><span class="n">exit</span><span class="p">()</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output traceback highlight-ipythontb notranslate"><div class="highlight"><pre><span></span><span class="n">An</span> <span class="n">exception</span> <span class="n">has</span> <span class="n">occurred</span><span class="p">,</span> <span class="n">use</span> <span class="o">%</span><span class="k">tb</span> to see the full traceback.

<span class="ne">SystemExit</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="c1"># swell spatial decay rate m.</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="c1">#dft = dsi[[&#39;H&#39;, &#39;H_sinNu&#39;, &#39;nu&#39;, &#39;distance&#39;]].to_dataframe().dropna()</span>
<span class="n">dft</span> <span class="o">=</span> <span class="n">dataset</span><span class="p">[[</span><span class="s1">&#39;H&#39;</span><span class="p">,</span> <span class="s1">&#39;H_sinNu&#39;</span><span class="p">,</span> <span class="s1">&#39;nu&#39;</span><span class="p">,</span> <span class="s1">&#39;distance&#39;</span><span class="p">]]</span><span class="o">.</span><span class="n">to_dataframe</span><span class="p">()</span><span class="o">.</span><span class="n">dropna</span><span class="p">()</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="kn">import</span> <span class="nn">matplotlib.pyplot</span> <span class="k">as</span> <span class="nn">plt</span>
<span class="n">fig</span><span class="p">,</span> <span class="n">axs</span> <span class="o">=</span> <span class="n">plt</span><span class="o">.</span><span class="n">subplots</span><span class="p">(</span><span class="mi">1</span><span class="p">,</span> <span class="mi">2</span><span class="p">,</span> <span class="n">figsize</span><span class="o">=</span><span class="p">(</span><span class="mi">15</span><span class="p">,</span><span class="mi">7</span><span class="p">))</span>

<span class="c1"># axis 0</span>
<span class="n">im</span> <span class="o">=</span> <span class="n">axs</span><span class="p">[</span><span class="mi">0</span><span class="p">]</span><span class="o">.</span><span class="n">scatter</span><span class="p">(</span><span class="n">dft</span><span class="o">.</span><span class="n">H_sinNu</span><span class="p">[</span><span class="n">np</span><span class="o">.</span><span class="n">argsort</span><span class="p">(</span><span class="n">dft</span><span class="o">.</span><span class="n">nu</span><span class="p">)],</span> <span class="n">dft</span><span class="o">.</span><span class="n">H</span><span class="p">[</span><span class="n">np</span><span class="o">.</span><span class="n">argsort</span><span class="p">(</span><span class="n">dft</span><span class="o">.</span><span class="n">nu</span><span class="p">)],</span> <span class="n">c</span><span class="o">=</span><span class="n">dft</span><span class="o">.</span><span class="n">nu</span><span class="p">[</span><span class="n">np</span><span class="o">.</span><span class="n">argsort</span><span class="p">(</span><span class="n">dft</span><span class="o">.</span><span class="n">nu</span><span class="p">)],</span> 
                    <span class="n">cmap</span><span class="o">=</span><span class="s1">&#39;jet&#39;</span><span class="p">,</span> <span class="n">alpha</span><span class="o">=</span><span class="mf">0.8</span><span class="p">)</span>
<span class="n">axs</span><span class="p">[</span><span class="mi">0</span><span class="p">]</span><span class="o">.</span><span class="n">plot</span><span class="p">([</span><span class="mi">0</span><span class="p">,</span> <span class="n">np</span><span class="o">.</span><span class="n">nanmax</span><span class="p">(</span><span class="n">dft</span><span class="o">.</span><span class="n">H_sinNu</span><span class="p">)],</span> <span class="p">[</span><span class="mi">0</span><span class="p">,</span> <span class="n">np</span><span class="o">.</span><span class="n">nanmax</span><span class="p">(</span><span class="n">dft</span><span class="o">.</span><span class="n">H_sinNu</span><span class="p">)],</span> <span class="n">c</span><span class="o">=</span><span class="s1">&#39;k&#39;</span><span class="p">)</span>
<span class="n">axs</span><span class="p">[</span><span class="mi">0</span><span class="p">]</span><span class="o">.</span><span class="n">set_xlabel</span><span class="p">(</span><span class="s1">&#39;H raw&#39;</span><span class="p">)</span>
<span class="n">axs</span><span class="p">[</span><span class="mi">0</span><span class="p">]</span><span class="o">.</span><span class="n">set_ylabel</span><span class="p">(</span><span class="s1">&#39;H Disipation&#39;</span><span class="p">)</span>

<span class="n">axc</span><span class="p">,</span> <span class="n">loc</span> <span class="o">=</span> <span class="n">plot_sat</span><span class="o">.</span><span class="n">add_colorbar</span><span class="p">(</span><span class="n">axs</span><span class="p">[</span><span class="mi">0</span><span class="p">])</span>
<span class="n">fig</span><span class="o">.</span><span class="n">add_axes</span><span class="p">(</span><span class="n">axc</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">colorbar</span><span class="p">(</span><span class="n">im</span><span class="p">,</span> <span class="n">cax</span><span class="o">=</span><span class="n">axc</span><span class="p">,</span> <span class="n">label</span><span class="o">=</span><span class="s1">&#39;Dissipation rate&#39;</span><span class="p">)</span>

<span class="c1"># axis 1</span>
<span class="n">im1</span> <span class="o">=</span> <span class="n">axs</span><span class="p">[</span><span class="mi">1</span><span class="p">]</span><span class="o">.</span><span class="n">scatter</span><span class="p">(</span><span class="n">dft</span><span class="o">.</span><span class="n">H_sinNu</span><span class="p">[</span><span class="n">np</span><span class="o">.</span><span class="n">argsort</span><span class="p">(</span><span class="n">dft</span><span class="o">.</span><span class="n">distance</span><span class="p">)],</span> <span class="n">dft</span><span class="o">.</span><span class="n">H</span><span class="p">[</span><span class="n">np</span><span class="o">.</span><span class="n">argsort</span><span class="p">(</span><span class="n">dft</span><span class="o">.</span><span class="n">distance</span><span class="p">)],</span> <span class="n">c</span><span class="o">=</span><span class="n">dft</span><span class="o">.</span><span class="n">distance</span><span class="p">[</span><span class="n">np</span><span class="o">.</span><span class="n">argsort</span><span class="p">(</span><span class="n">dft</span><span class="o">.</span><span class="n">distance</span><span class="p">)],</span> 
                     <span class="n">cmap</span><span class="o">=</span><span class="s1">&#39;jet&#39;</span><span class="p">,</span> <span class="n">alpha</span><span class="o">=</span><span class="mf">0.8</span><span class="p">)</span>
<span class="n">axs</span><span class="p">[</span><span class="mi">1</span><span class="p">]</span><span class="o">.</span><span class="n">plot</span><span class="p">([</span><span class="mi">0</span><span class="p">,</span> <span class="n">np</span><span class="o">.</span><span class="n">nanmax</span><span class="p">(</span><span class="n">dft</span><span class="o">.</span><span class="n">H_sinNu</span><span class="p">)],</span> <span class="p">[</span><span class="mi">0</span><span class="p">,</span> <span class="n">np</span><span class="o">.</span><span class="n">nanmax</span><span class="p">(</span><span class="n">dft</span><span class="o">.</span><span class="n">H_sinNu</span><span class="p">)],</span> <span class="n">c</span><span class="o">=</span><span class="s1">&#39;k&#39;</span><span class="p">)</span>
<span class="n">axs</span><span class="p">[</span><span class="mi">1</span><span class="p">]</span><span class="o">.</span><span class="n">set_xlabel</span><span class="p">(</span><span class="s1">&#39;H raw&#39;</span><span class="p">)</span>
<span class="n">axs</span><span class="p">[</span><span class="mi">1</span><span class="p">]</span><span class="o">.</span><span class="n">set_ylabel</span><span class="p">(</span><span class="s1">&#39;H Disipation&#39;</span><span class="p">)</span>

<span class="n">axt</span><span class="p">,</span> <span class="n">loc</span> <span class="o">=</span> <span class="n">plot_sat</span><span class="o">.</span><span class="n">add_colorbar</span><span class="p">(</span><span class="n">axs</span><span class="p">[</span><span class="mi">1</span><span class="p">])</span>
<span class="n">fig</span><span class="o">.</span><span class="n">add_axes</span><span class="p">(</span><span class="n">axt</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">colorbar</span><span class="p">(</span><span class="n">im1</span><span class="p">,</span> <span class="n">cax</span><span class="o">=</span><span class="n">axt</span><span class="p">,</span> <span class="n">label</span><span class="o">=</span><span class="s1">&#39;Distance source point - target point&#39;</span><span class="p">)</span>

<span class="n">plt</span><span class="o">.</span><span class="n">show</span><span class="p">()</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<img alt="../_images/SF7_Propagation_Bins_10_01.png" src="../_images/SF7_Propagation_Bins_10_01.png" />
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">dft</span><span class="o">.</span><span class="n">nu</span><span class="p">[</span><span class="n">np</span><span class="o">.</span><span class="n">argsort</span><span class="p">(</span><span class="n">dft</span><span class="o">.</span><span class="n">nu</span><span class="p">)]</span><span class="o">.</span><span class="n">min</span><span class="p">()</span>
</pre></div>
</div>
</div>
</div>
</div>

    <script type="text/x-thebe-config">
    {
        requestKernel: true,
        binderOptions: {
            repo: "binder-examples/jupyter-stacks-datascience",
            ref: "master",
        },
        codeMirrorConfig: {
            theme: "abcdef",
            mode: "conda-env-testCf-py"
        },
        kernelOptions: {
            kernelName: "conda-env-testCf-py",
            path: "./ipynb"
        },
        predefinedOutput: true
    }
    </script>
    <script>kernelName = 'conda-env-testCf-py'</script>

              </div>
              
        
            



<div class='prev-next-bottom'>
    

</div>
        
        </div>
    </div>
    <footer class="footer">
    <div class="container">
      <p>
        
          Por Alba Ricondo<br/>
        
            &copy; Derechos de autor 2021.<br/>
      </p>
    </div>
  </footer>
</main>


      </div>
    </div>
  
  <script src="../_static/js/index.1c5a1a01449ed65a7b51.js"></script>

  
  </body>
</html>